%define major 1
%define libname %mklibname mxml %{major}
%define develname %mklibname -d mxml

Name:       mxml
Version:    2.10
Release:    %mkrel 1
Summary:    Miniature XML development library
License:    LGPLv2+
Group:      System/Libraries
URL:        http://www.minixml.org/
Source0:    http://ftp.easysw.com/pub/mxml/%version/mxml-%{version}.tar.gz
BuildRequires:  chrpath

%description
Mini-XML is a small XML parsing library that you can use to read XML and
XML-like data files in your application without requiring large non-standard
libraries.  Mini-XML provides the following functionality:

- Reading of UTF-8 and UTF-16 and writing of UTF-8 encoded  XML files and
  strings.
- Data is stored in a linked-list tree structure, preserving  the XML data
  hierarchy.
- Supports arbitrary element names, attributes, and attribute values with no
  preset limits, just available memory.
- Supports integer, real, opaque ("cdata"), and text data types in "leaf"
  nodes.
- Functions for creating and managing trees of data.
- "Find" and "walk" functions for easily locating and navigating trees of data.

Mini-XML doesn't do validation or other types of processing on the data based
upon schema files or other sources of definition information, nor does it
support character entities other than those required by the XML specification.
#-------------------------------------------------------------------------------

%package -n %{libname}
Summary:    Miniature XML development library
Group:          System/Libraries

%description -n %{libname}
Mini-XML is a small XML parsing library that you can use to read XML and
XML-like data files in your application without requiring large non-standard
libraries.  Mini-XML provides the following functionality:

- Reading of UTF-8 and UTF-16 and writing of UTF-8 encoded  XML files and
  strings.
- Data is stored in a linked-list tree structure, preserving  the XML data
  hierarchy.
- Supports arbitrary element names, attributes, and attribute values with no
  preset limits, just available memory.
- Supports integer, real, opaque ("cdata"), and text data types in "leaf"
  nodes.
- Functions for creating and managing trees of data.
- "Find" and "walk" functions for easily locating and navigating trees of data.

Mini-XML doesn't do validation or other types of processing on the data based
upon schema files or other sources of definition information, nor does it
support character entities other than those required by the XML specification.
#-------------------------------------------------------------------------------

%package -n %{develname}
Summary:    Static library and header files for the Miniature XML development library
Group:      Development/C
Provides:   libmxml-devel = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}
Obsoletes: %mklibname -d mxml 1

%description -n %{develname}
This package contains the static mxml library and its header files.
#-------------------------------------------------------------------------------

%prep

%setup -q

%build
%configure2_5x \
    --enable-shared
%make_build

%install
%make_install BUILDROOT=%{buildroot}

mv %{buildroot}%{_datadir}/doc/mxml installed-docs

rm -rf %{buildroot}%{_mandir}/cat*

chrpath -d %{buildroot}%{_libdir}/*.so.%{major}*
chrpath -d %{buildroot}%{_bindir}/mxmldoc

%files -n %{libname}
%doc ANNOUNCEMENT CHANGES COPYING README doc/*.html
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc installed-docs/*
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/mxml.pc
%{_mandir}/man1/*
%{_mandir}/man3/*


%changelog
* Sun Apr 02 2017 mrambo3501 <mrambo3501> 2.10-1.mga6
+ Revision: 1095610
- version 2.10 fixes CVE-2016-4570 and CVE-2016-4571
- removed one no longer supported configure option
- changed a couple of macros in spec to current settings

* Fri Feb 12 2016 umeabot <umeabot> 2.8-2.mga6
+ Revision: 956191
- Mageia 6 Mass Rebuild

* Sat Jul 25 2015 tv <tv> 2.8-1.mga6
+ Revision: 857450
- new release

* Wed Oct 15 2014 umeabot <umeabot> 2.7-6.mga5
+ Revision: 749143
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.7-5.mga5
+ Revision: 727419
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.7-4.mga5
+ Revision: 682712
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.7-3.mga4
+ Revision: 518069
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.7-2.mga3
+ Revision: 360559
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 18 2012 fwang <fwang> 2.7-1.mga3
+ Revision: 307866
- update file list
- new version 2.7

* Sun May 01 2011 shikamaru <shikamaru> 2.6-1.mga1
+ Revision: 94106
- Clean spec
- kill buildroot
- reorder tags and retab
- add separators between subpackages to improve readability
- use braces around macros
- remove useless test before cleaning buildroot
- imported package mxml

